Bug 1718211 - [OSP15] test_internal_dns.InternalDNSTest.test_dns_domain_and_name fails with OVN
Summary: [OSP15] test_internal_dns.InternalDNSTest.test_dns_domain_and_name fails with...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-ovn
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z2
: 15.0 (Stein)
Assignee: Maciej Józefczyk
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On: 1721012
Blocks: 1836907
TreeView+ depends on / blocked
 
Reported: 2019-06-07 09:22 UTC by Bernard Cafarelli
Modified: 2020-05-18 13:18 UTC (History)
11 users (show)

Fixed In Version: python-networking-ovn-6.0.1-0.20200108131128.86eee79.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1721012 1795165 1836907 (view as bug list)
Environment:
Last Closed: 2020-03-05 11:53:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gerrithub.io 479661 0 None None None 2020-01-08 12:03:56 UTC
Red Hat Bugzilla 1721012 0 high CLOSED Cherry pick OVS upstream patch to OVS 2.11 - dns domain name 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHBA-2020:0709 0 None None None 2020-03-05 11:54:19 UTC

Internal Links: 1721012

Description Bernard Cafarelli 2019-06-07 09:22:53 UTC
neutron_tempest_plugin.scenario.test_internal_dns.InternalDNSTest.test_dns_domain_and_name test fails with:
  File "/usr/lib/python3.6/site-packages/tempest/common/utils/__init__.py", line 108, in wrapper
    return func(*func_args, **func_kwargs)
  File "/usr/lib/python3.6/site-packages/neutron_tempest_plugin/scenario/test_internal_dns.py", line 75, in test_dns_domain_and_name
    'starwars', ssh_client.exec_command('cat /etc/resolv.conf'))
  File "/usr/lib/python3.6/site-packages/testtools/testcase.py", line 417, in assertIn
    self.assertThat(haystack, Contains(needle), message)
  File "/usr/lib/python3.6/site-packages/testtools/testcase.py", line 498, in assertThat
    raise mismatch_error
testtools.matchers._impl.MismatchError: 'starwars' not in 'nameserver 10.0.0.1\n'

Same test is passing on a ML2/OVS deployment

Comment 2 Jakub Libosvar 2019-06-07 13:29:20 UTC
The test is skipped upstream because we need OVS patch first: https://patchwork.ozlabs.org/patch/1102717/

Comment 3 Jakub Libosvar 2019-06-07 14:48:53 UTC
I'm changing the component and assigning to Maciej as he's already done the work.

Comment 9 Maciej Józefczyk 2019-06-19 07:22:07 UTC
We wait for package to be in the puddle. Moving this bz to "ON_DEV" and when package from bz1721012 will ready I will move this to "ON_QA".

Comment 10 Bernard Cafarelli 2019-06-24 14:14:23 UTC
Updating target as we blacklist the test in beta

Comment 28 Roman Safronov 2020-02-04 17:11:09 UTC
Verified on RHOS_TRUNK-15.0-RHEL-8-20200130.n.1 with python3-networking-ovn-6.0.1-0.20200116080451.e669382.el8ost.noarch.rpm

Test test_internal_dns.InternalDNSTest.test_dns_domain_and_name passed

https://rhos-qe-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/view/DFG/view/network/view/networking-ovn/job/DFG-network-networking-ovn-15_director-rhel-virthost-3cont_2comp-ipv4-geneve/212/testReport/neutron_tempest_plugin.scenario.test_internal_dns/InternalDNSTest/

Comment 29 Alex McLeod 2020-02-19 12:48:39 UTC
If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field. The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to '-'.

Comment 31 errata-xmlrpc 2020-03-05 11:53:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0709


Note You need to log in before you can comment on or make changes to this bug.